Bug 865643 - python-greenlet segfaults on ppc64
python-greenlet segfaults on ppc64
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-greenlet (Show other bugs)
1.0 (Essex)
ppc64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Pádraig Brady
Jaroslav Henner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 21:20 EDT by Pádraig Brady
Modified: 2016-01-04 09:47 EST (History)
3 users (show)

See Also:
Fixed In Version: python-greenlet-0.3.1-11.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 865579
Environment:
Last Closed: 2012-12-13 19:14:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2012-10-11 21:20:12 EDT
+++ This bug was initially created as a clone of Bug #865579 +++

Created attachment 625672 [details]
Backported commit b17773a

Description of problem:

Whenever the library's switch function is used it segfaults. How to reproduce:

>>> from greenlet import greenlet
>>> def test():
...     print 12
... 
>>> def run():
...     gr = greenlet(test)
...     gr.switch()
... 
>>> run()
12
Segmentation fault


Version-Release number of selected component (if applicable): 0.3.1-9.fc17


How reproducible: always

There is already a fix available upstream. The package can either be updated to the 0.4.0 version or the commit b17773a can be cherry-picked. A backported version of the commit is attached.

--- Additional comment from updates@fedoraproject.org on 2012-10-11 20:01:50 EDT ---

python-greenlet-0.3.1-11.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-greenlet-0.3.1-11.fc17

--- Additional comment from updates@fedoraproject.org on 2012-10-11 20:02:44 EDT ---

python-greenlet-0.3.1-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-greenlet-0.3.1-11.fc18

--- Additional comment from updates@fedoraproject.org on 2012-10-11 20:03:18 EDT ---

python-greenlet-0.3.1-11.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-greenlet-0.3.1-11.el6
Comment 2 Pádraig Brady 2012-10-22 13:09:11 EDT
TBH, testing that it still works on x86 is fine here (and it should as it's separate). This should be looked as low hanging fruit to support OpenStack on power.
Comment 3 Yaniv Kaul 2012-10-23 03:10:10 EDT
Note to QE: perform sanity (via Tempest) on x86.

Note You need to log in before you can comment on or make changes to this bug.